Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class ArrayIndexOutOfBoundsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IndexOutOfBoundsException
                      java.lang.ArrayIndexOutOfBoundsException

All Implemented Interfaces:
  Serializable

    public class ArrayIndexOutOfBoundsException

extends IndexOutOfBoundsException

Thrown to indicate that an array has been accessed with an illegal index. The index is either negative or greater than or equal to the size of the array.

Since:
  JDK1.0
See Also:
  Serialized Form

Constructor Summary
`ArrayIndexOutOfBoundsException()` Constructs an `ArrayIndexOutOfBoundsException` with no detail message.
`ArrayIndexOutOfBoundsException(int index)` Constructs a new `ArrayIndexOutOfBoundsException` class with an argument indicating the illegal index.
`ArrayIndexOutOfBoundsException(String s)` Constructs an `ArrayIndexOutOfBoundsException` class with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException()

  Constructs an `ArrayIndexOutOfBoundsException` with no detail message.

### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException(int index)

  Constructs a new `ArrayIndexOutOfBoundsException` class with an argument indicating the illegal index.

  Parameters:
    `index` - the illegal index.

### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException(String s)

  Constructs an `ArrayIndexOutOfBoundsException` class with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.